Icons (gCube Messages Portlet 0.4.0-3.1.0 API)
Date: 2014-05-11

org.gcube.portlets.user.messages.client.resources

## Interface Icons

- All Superinterfaces:
    com.google.gwt.resources.client.ClientBundle

      public interface Icons
      extends com.google.gwt.resources.client.ClientBundle

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface com.google.gwt.resources.client.ClientBundle

      `com.google.gwt.resources.client.ClientBundle.Source`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `com.google.gwt.resources.client.ImageResource` | `addFolder()`
    `com.google.gwt.resources.client.ImageResource` | `addFolder32()`
    `com.google.gwt.resources.client.ImageResource` | `addUrl()`
    `com.google.gwt.resources.client.ImageResource` | `archiveUpload()`
    `com.google.gwt.resources.client.ImageResource` | `attach()`
    `com.google.gwt.resources.client.ImageResource` | `audio()`
    `com.google.gwt.resources.client.ImageResource` | `biodiversity()`
    `com.google.gwt.resources.client.ImageResource` | `cancel()`
    `com.google.gwt.resources.client.ImageResource` | `checkUser()`
    `com.google.gwt.resources.client.ImageResource` | `close()`
    `com.google.gwt.resources.client.ImageResource` | `copy()`
    `com.google.gwt.resources.client.ImageResource` | `createNewMail()`
    `com.google.gwt.resources.client.ImageResource` | `delete2()`
    `com.google.gwt.resources.client.ImageResource` | `deleteFolder()`
    `com.google.gwt.resources.client.ImageResource` | `deleteItem()`
    `com.google.gwt.resources.client.ImageResource` | `deleteItem32()`
    `com.google.gwt.resources.client.ImageResource` | `doc()`
    `com.google.gwt.resources.client.ImageResource` | `documents()`
    `com.google.gwt.resources.client.ImageResource` | `download()`
    `com.google.gwt.resources.client.ImageResource` | `downloadEmail()`
    `com.google.gwt.resources.client.ImageResource` | `email()`
    `com.google.gwt.resources.client.ImageResource` | `emailDelete()`
    `com.google.gwt.resources.client.ImageResource` | `emailForward()`
    `com.google.gwt.resources.client.ImageResource` | `emailNotRead()`
    `com.google.gwt.resources.client.ImageResource` | `emailRead()`
    `com.google.gwt.resources.client.ImageResource` | `folder()`
    `com.google.gwt.resources.client.ImageResource` | `gif()`
    `com.google.gwt.resources.client.ImageResource` | `hardDisk()`
    `com.google.gwt.resources.client.ImageResource` | `html()`
    `com.google.gwt.resources.client.ImageResource` | `images()`
    `com.google.gwt.resources.client.ImageResource` | `inboxReceived()`
    `com.google.gwt.resources.client.ImageResource` | `inboxSent()`
    `com.google.gwt.resources.client.ImageResource` | `java()`
    `com.google.gwt.resources.client.ImageResource` | `jpeg()`
    `com.google.gwt.resources.client.ImageResource` | `links()`
    `com.google.gwt.resources.client.ImageResource` | `loading()`
    `com.google.gwt.resources.client.ImageResource` | `loading2()`
    `com.google.gwt.resources.client.ImageResource` | `loadingOff()`
    `com.google.gwt.resources.client.ImageResource` | `movie()`
    `com.google.gwt.resources.client.ImageResource` | `openEmail()`
    `com.google.gwt.resources.client.ImageResource` | `openUrl()`
    `com.google.gwt.resources.client.ImageResource` | `paste()`
    `com.google.gwt.resources.client.ImageResource` | `pdf()`
    `com.google.gwt.resources.client.ImageResource` | `png()`
    `com.google.gwt.resources.client.ImageResource` | `preview()`
    `com.google.gwt.resources.client.ImageResource` | `refresh()`
    `com.google.gwt.resources.client.ImageResource` | `removeFilter()`
    `com.google.gwt.resources.client.ImageResource` | `renameItem()`
    `com.google.gwt.resources.client.ImageResource` | `renameItem32()`
    `com.google.gwt.resources.client.ImageResource` | `replyAllMail()`
    `com.google.gwt.resources.client.ImageResource` | `replyMail()`
    `com.google.gwt.resources.client.ImageResource` | `report()`
    `com.google.gwt.resources.client.ImageResource` | `reportTemplate()`
    `com.google.gwt.resources.client.ImageResource` | `resourceLink()`
    `com.google.gwt.resources.client.ImageResource` | `save()`
    `com.google.gwt.resources.client.ImageResource` | `saveAttachs()`
    `com.google.gwt.resources.client.ImageResource` | `search()`
    `com.google.gwt.resources.client.ImageResource` | `sendTo()`
    `com.google.gwt.resources.client.ImageResource` | `separatorPath()`
    `com.google.gwt.resources.client.ImageResource` | `show()`
    `com.google.gwt.resources.client.ImageResource` | `star()`
    `com.google.gwt.resources.client.ImageResource` | `svg()`
    `com.google.gwt.resources.client.ImageResource` | `table()`
    `com.google.gwt.resources.client.ImageResource` | `tiff()`
    `com.google.gwt.resources.client.ImageResource` | `timeSeries()`
    `com.google.gwt.resources.client.ImageResource` | `toggleGroup()`
    `com.google.gwt.resources.client.ImageResource` | `toggleIcon()`
    `com.google.gwt.resources.client.ImageResource` | `toggleList()`
    `com.google.gwt.resources.client.ImageResource` | `txt()`
    `com.google.gwt.resources.client.ImageResource` | `uploadFile()`
    `com.google.gwt.resources.client.ImageResource` | `uploadFile32()`
    `com.google.gwt.resources.client.ImageResource` | `urlWebDav()`
    `com.google.gwt.resources.client.ImageResource` | `webDav()`
    `com.google.gwt.resources.client.ImageResource` | `workflowReport()`
    `com.google.gwt.resources.client.ImageResource` | `workflowTemplate()`
    `com.google.gwt.resources.client.ImageResource` | `xml()`

- - ### Method Detail

    - #### table

          @ClientBundle.Source(value="icons/table.png")
          com.google.gwt.resources.client.ImageResource table()

    - #### close

          @ClientBundle.Source(value="icons/close.gif")
          com.google.gwt.resources.client.ImageResource close()

    - #### gif

          @ClientBundle.Source(value="icons/mime/gif.gif")
          com.google.gwt.resources.client.ImageResource gif()

    - #### pdf

          @ClientBundle.Source(value="icons/mime/pdf.gif")
          com.google.gwt.resources.client.ImageResource pdf()

    - #### jpeg

          @ClientBundle.Source(value="icons/mime/jpeg.gif")
          com.google.gwt.resources.client.ImageResource jpeg()

    - #### png

          @ClientBundle.Source(value="icons/mime/png.gif")
          com.google.gwt.resources.client.ImageResource png()

    - #### tiff

          @ClientBundle.Source(value="icons/mime/tiff.gif")
          com.google.gwt.resources.client.ImageResource tiff()

    - #### svg

          @ClientBundle.Source(value="icons/mime/svg.png")
          com.google.gwt.resources.client.ImageResource svg()

    - #### xml

          @ClientBundle.Source(value="icons/mime/xml.gif")
          com.google.gwt.resources.client.ImageResource xml()

    - #### html

          @ClientBundle.Source(value="icons/mime/html.gif")
          com.google.gwt.resources.client.ImageResource html()

    - #### java

          @ClientBundle.Source(value="icons/mime/java.gif")
          com.google.gwt.resources.client.ImageResource java()

    - #### doc

          @ClientBundle.Source(value="icons/mime/doc.gif")
          com.google.gwt.resources.client.ImageResource doc()

    - #### txt

          @ClientBundle.Source(value="icons/mime/txt.gif")
          com.google.gwt.resources.client.ImageResource txt()

    - #### movie

          @ClientBundle.Source(value="icons/mime/movie.png")
          com.google.gwt.resources.client.ImageResource movie()

    - #### addFolder

          @ClientBundle.Source(value="icons/mime/addfolder.png")
          com.google.gwt.resources.client.ImageResource addFolder()

    - #### deleteFolder

          @ClientBundle.Source(value="icons/mime/deletefolder.jpg")
          com.google.gwt.resources.client.ImageResource deleteFolder()

    - #### deleteItem

          @ClientBundle.Source(value="icons/mime/delete.png")
          com.google.gwt.resources.client.ImageResource deleteItem()

    - #### renameItem

          @ClientBundle.Source(value="icons/mime/edit.png")
          com.google.gwt.resources.client.ImageResource renameItem()

    - #### folder

          @ClientBundle.Source(value="icons/mime/folder.png")
          com.google.gwt.resources.client.ImageResource folder()

    - #### addFolder32

          @ClientBundle.Source(value="icons/mime/addfolder32.png")
          com.google.gwt.resources.client.ImageResource addFolder32()

    - #### deleteItem32

          @ClientBundle.Source(value="icons/mime/delete.png")
          com.google.gwt.resources.client.ImageResource deleteItem32()

    - #### renameItem32

          @ClientBundle.Source(value="icons/mime/renameitem32.png")
          com.google.gwt.resources.client.ImageResource renameItem32()

    - #### uploadFile32

          @ClientBundle.Source(value="icons/mime/uploadfile32_2.gif")
          com.google.gwt.resources.client.ImageResource uploadFile32()

    - #### uploadFile

          @ClientBundle.Source(value="icons/mime/upload.png")
          com.google.gwt.resources.client.ImageResource uploadFile()

    - #### audio

          @ClientBundle.Source(value="icons/mime/audio.png")
          com.google.gwt.resources.client.ImageResource audio()

    - #### download

          @ClientBundle.Source(value="icons/mime/download.png")
          com.google.gwt.resources.client.ImageResource download()

    - #### separatorPath

          @ClientBundle.Source(value="icons/mime/forward.png")
          com.google.gwt.resources.client.ImageResource separatorPath()

    - #### search

          @ClientBundle.Source(value="icons/mime/search16.png")
          com.google.gwt.resources.client.ImageResource search()

    - #### hardDisk

          @ClientBundle.Source(value="icons/mime/harddisk.png")
          com.google.gwt.resources.client.ImageResource hardDisk()

    - #### archiveUpload

          @ClientBundle.Source(value="icons/mime/archiveupload.png")
          com.google.gwt.resources.client.ImageResource archiveUpload()

    - #### cancel

          @ClientBundle.Source(value="icons/mime/buttoncancel.gif")
          com.google.gwt.resources.client.ImageResource cancel()

    - #### toggleList

          @ClientBundle.Source(value="icons/mime/togglelist.png")
          com.google.gwt.resources.client.ImageResource toggleList()

    - #### toggleGroup

          @ClientBundle.Source(value="icons/mime/togglegroup.png")
          com.google.gwt.resources.client.ImageResource toggleGroup()

    - #### toggleIcon

          @ClientBundle.Source(value="icons/mime/toggleicon.png")
          com.google.gwt.resources.client.ImageResource toggleIcon()

    - #### biodiversity

          @ClientBundle.Source(value="icons/aquamaps.png")
          com.google.gwt.resources.client.ImageResource biodiversity()

    - #### images

          @ClientBundle.Source(value="icons/external_image.gif")
          com.google.gwt.resources.client.ImageResource images()

    - #### links

          @ClientBundle.Source(value="icons/external_url.png")
          com.google.gwt.resources.client.ImageResource links()

    - #### report

          @ClientBundle.Source(value="icons/report.png")
          com.google.gwt.resources.client.ImageResource report()

    - #### timeSeries

          @ClientBundle.Source(value="icons/timeseries.png")
          com.google.gwt.resources.client.ImageResource timeSeries()

    - #### documents

          @ClientBundle.Source(value="icons/document.png")
          com.google.gwt.resources.client.ImageResource documents()

    - #### save

          @ClientBundle.Source(value="icons/mime/save.gif")
          com.google.gwt.resources.client.ImageResource save()

    - #### star

          @ClientBundle.Source(value="icons/mime/star.png")
          com.google.gwt.resources.client.ImageResource star()

    - #### preview

          @ClientBundle.Source(value="icons/preview.png")
          com.google.gwt.resources.client.ImageResource preview()

    - #### show

          @ClientBundle.Source(value="icons/rightarrow.gif")
          com.google.gwt.resources.client.ImageResource show()

    - #### openUrl

          @ClientBundle.Source(value="icons/link.gif")
          com.google.gwt.resources.client.ImageResource openUrl()

    - #### addUrl

          @ClientBundle.Source(value="icons/linkadd.png")
          com.google.gwt.resources.client.ImageResource addUrl()

    - #### sendTo

          @ClientBundle.Source(value="icons/send.png")
          com.google.gwt.resources.client.ImageResource sendTo()

    - #### checkUser

          @ClientBundle.Source(value="icons/checkuser.png")
          com.google.gwt.resources.client.ImageResource checkUser()

    - #### inboxReceived

          @ClientBundle.Source(value="icons/inbox-download.png")
          com.google.gwt.resources.client.ImageResource inboxReceived()

    - #### inboxSent

          @ClientBundle.Source(value="icons/inbox-upload.png")
          com.google.gwt.resources.client.ImageResource inboxSent()

    - #### email

          @ClientBundle.Source(value="icons/email2.png")
          com.google.gwt.resources.client.ImageResource email()

    - #### openEmail

          @ClientBundle.Source(value="icons/email-open.png")
          com.google.gwt.resources.client.ImageResource openEmail()

    - #### saveAttachs

          @ClientBundle.Source(value="icons/save-attach.png")
          com.google.gwt.resources.client.ImageResource saveAttachs()

    - #### downloadEmail

          @ClientBundle.Source(value="icons/download-email.png")
          com.google.gwt.resources.client.ImageResource downloadEmail()

    - #### emailRead

          @ClientBundle.Source(value="icons/email-read.png")
          com.google.gwt.resources.client.ImageResource emailRead()

    - #### emailNotRead

          @ClientBundle.Source(value="icons/email-notread.png")
          com.google.gwt.resources.client.ImageResource emailNotRead()

    - #### emailDelete

          @ClientBundle.Source(value="icons/email-delete.png")
          com.google.gwt.resources.client.ImageResource emailDelete()

    - #### emailForward

          @ClientBundle.Source(value="icons/email-forward.png")
          com.google.gwt.resources.client.ImageResource emailForward()

    - #### copy

          @ClientBundle.Source(value="icons/copy.png")
          com.google.gwt.resources.client.ImageResource copy()

    - #### paste

          @ClientBundle.Source(value="icons/paste.png")
          com.google.gwt.resources.client.ImageResource paste()

    - #### refresh

          @ClientBundle.Source(value="icons/refresh.gif")
          com.google.gwt.resources.client.ImageResource refresh()

    - #### loading

          @ClientBundle.Source(value="icons/loading.gif")
          com.google.gwt.resources.client.ImageResource loading()

    - #### loadingOff

          @ClientBundle.Source(value="icons/loading-off.gif")
          com.google.gwt.resources.client.ImageResource loadingOff()

    - #### loading2

          @ClientBundle.Source(value="icons/loading2.gif")
          com.google.gwt.resources.client.ImageResource loading2()

    - #### delete2

          @ClientBundle.Source(value="icons/delete.gif")
          com.google.gwt.resources.client.ImageResource delete2()

    - #### urlWebDav

          @ClientBundle.Source(value="icons/webdavurl.png")
          com.google.gwt.resources.client.ImageResource urlWebDav()

    - #### removeFilter

          @ClientBundle.Source(value="icons/cancel.png")
          com.google.gwt.resources.client.ImageResource removeFilter()

    - #### attach

          @ClientBundle.Source(value="icons/attach.png")
          com.google.gwt.resources.client.ImageResource attach()

    - #### createNewMail

          @ClientBundle.Source(value="icons/newmail.png")
          com.google.gwt.resources.client.ImageResource createNewMail()

    - #### reportTemplate

          @ClientBundle.Source(value="icons/reporttemplate.png")
          com.google.gwt.resources.client.ImageResource reportTemplate()

    - #### workflowReport

          @ClientBundle.Source(value="icons/workflowreport.png")
          com.google.gwt.resources.client.ImageResource workflowReport()

    - #### workflowTemplate

          @ClientBundle.Source(value="icons/workflowtemplate.png")
          com.google.gwt.resources.client.ImageResource workflowTemplate()

    - #### webDav

          @ClientBundle.Source(value="icons/webdav.png")
          com.google.gwt.resources.client.ImageResource webDav()

    - #### replyMail

          @ClientBundle.Source(value="icons/mail-reply.png")
          com.google.gwt.resources.client.ImageResource replyMail()

    - #### replyAllMail

          @ClientBundle.Source(value="icons/mail-reply-all.png")
          com.google.gwt.resources.client.ImageResource replyAllMail()

    - #### resourceLink

          @ClientBundle.Source(value="icons/application-link.png")
          com.google.gwt.resources.client.ImageResource resourceLink()

Copyright © 2014. All Rights Reserved.